Skip to main content

Get All Rulesets

GET 

/v1/sandbox/:sandbox_id/match-making-ruleset

Get all MatchMakingRulesets in a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request​

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses​

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    rulesets

    object[]

    List of MatchMakingRulesets

  • Array [

  • name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    ruleset_determiner Determiner (string)

    Possible values: [allOf, anyOf, oneOf, noneOf]

    Determiner for how many rules must be satisfied in order to satisfy the ruleset

    players_to_validate Players to Validate (string)

    Possible values: [leader, all_members, any_member]

    Which subset of players in a session need to satisfy a ruleset for it to be considered valid

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    match_making_ruleset_id uuidrequired

    ID to uniquely identify this MatchMakingRuleset

  • ]

Loading...